Subject: Re: [bug#76963] [PATCH] home: Add home-snuik-service.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 12 Mar 2025 20:14:11 +0100

Janneke Nieuwenhuizen writes:

[..]
>>> diff --git a/doc/guix.texi b/doc/guix.texi
>>> index d109877a32..f35e156376 100644
>>> --- a/doc/guix.texi
>>> +++ b/doc/guix.texi
>>> @@ -36,7 +36,7 @@
>>>  Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023 Efraim Flashner@*
>>>  Copyright @copyright{} 2016 John Darrington@*
>>>  Copyright @copyright{} 2016, 2017 Nikita Gillmann@*
>>> -Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Janneke Nieuwenhuizen@*
>>> +Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024, 2025 Janneke Nieuwenhuizen@*
>>
>> Maybe use 2016-2025 :-).
>
> Hmm.  I thought you needed to have a special exception in the README to
> be able for that to hold up in court.  I've been postponing to look into
> this mess (I used to be too heavily into copyright in my LilyPond years).
> However, it seems today is the day :)
>
> From <https://www.gnu.org/prep/maintain/html_node/Copyright-Notices.html>
>
> You can use a range (‘2008-2010’) instead of listing individual years
> (‘2008, 2009, 2010’) if and only if: 1) every year in the range,
> inclusive, really is a “copyrightable” year that would be listed
> individually; and 2) you make an explicit statement in a README file
> about this usage.
>
> Sadly, the manual does not seem to give a template to use for this, and
> I have learnt to stay away from authoring legal texts.  I just asked
> gnu-prog-discuss about this.
>
> I cannot find such a statement in the Guix README?  Ludo'?

Emacs uses

--8<---------------cut here---------------start------------->8---
In copyright notices where the copyright holder is the Free Software
Foundation, then where a range of years appears, this is an inclusive
range that applies to every year in the range.  For example: 2005-2008
represents the years 2005, 2006, 2007, and 2008.
--8<---------------cut here---------------end--------------->8---

so I propose the attached patch.

WDYT?

Greetings,
Janneke

>From 571705169251caeb5cdacc9418dc5665880f9008 Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 12 Mar 2025 19:48:26 +0100
Subject: [PATCH] doc: Add note on copyright ranges to README.

* README (Note On Copyright Years): New section.

Change-Id: I1b2f8ed544dc83c38479e944ae6e08ddbcafdf35
---
 README | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/README b/README
index b9f36f8344..edf1215704 100644
--- a/README
+++ b/README
@@ -108,3 +108,9 @@ but exposes all the API as Scheme.
   - The [[https://www.gnu.org/s/gsrc/][GNU Source Release Collection]] (GSRC) is a user-land software
     distribution; unlike Guix, it relies on core tools available on the
     host system
+
+* Note On Copyright Years
+
+In copyright notices where a range of years appears, this is an inclusive
+range that applies to every year in the range.  For example: 2005-2008
+represents the years 2005, 2006, 2007, and 2008.

base-commit: dec40dd50f3490d5b96d19d98d54782ee2fb02a9
prerequisite-patch-id: d6040718f85c458c1ec6e7e7b1292fdd5b4a32d4
prerequisite-patch-id: 0b629b0cc9b64ddf9d00974018855b6f4f0d57b1
-- 
2.47.1

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com